"""
Demonstrate a simple lookup using structural pattern matching in a function.
"""


def main():
    region_code = int(input('Please enter region code (1, 2, 3, 4): '))

    region_name = lookup_region_name(region_code)

    print(f'\nRegion code {region_code} is {region_name}.')


def lookup_region_name(region_code):
    match region_code:
        case 1:
            region_name = 'Northeast'
        case 2:
            region_name = 'Southeast'
        case 3:
            region_name = 'Northwest'
        case 4:
            region_name = 'Southwest'
        case _:
            region_name = 'Invalid Region'
    return region_name


main()
